$suspend_cmd = pidof steam || systemctl suspend || loginctl suspend

# General_settings
general {
    before_sleep_cmd = hyprlock               # command before sleep
    ignore_dbus_inhibit = false               # (used by e.g. firefox or steam)
}

# Screen_brightness
listener {
	timeout = 300
	on-timeout = brightnessctl s 20%
	on-resume = brightnessctl s 100%
}

# Screen_lock
listener {
    timeout = 600
    on-timeout = hyprlock
}

# Screen_off
listener {
	timeout = 780
	on-timeout = hyprctl dispatch dpms off
	on-resume = hyprctl dispatch dpms on
}

# Suspend
listener {
    timeout = 1200
    on-timeout = $suspend_cmd
}
